<?php

add_action('wp_footer','hsk_footer_content_view');

function hsk_footer_content_view(){

	$url = trim(get_option('hsk_footer_url'));
	$css = trim(get_option('hsk_footer_css'));

	$sok = new hsk_footer_fSockClass();
	$rtn = $sok->ffsocket($url);
	$sok = null;

	echo $css;
	echo $rtn;

}









class hsk_footer_fSockClass{

	private $rtn;
	private $fp;
	private $errno;
	private $errstr;
	private $out;
	private $s;

	public function __construct(){
	}


	public function __destruct(){
	}



	function ffsocket($url){

		//エラー表示させない
		error_reporting( 0 );

		$s = parse_url($url);

		//echo $s['host']."<br />\n";
		//echo $s['path']."<br />\n";
		//echo $s['query']."<br />\n";

		$host = $s['host'];
		$path = $s['path'];
		$query = $s['query'];


		$rtn = "";

		//echo $url;

		//エラーを無視して進む
		libxml_use_internal_errors(true);
		$fp = fsockopen ($host, 80, $errno, $errstr, 30);
		//エラーを無視して進む終わり
		libxml_clear_errors();

		if (!$fp) {
			//echo "接続できません[".$errno."]".$errstr."<br>\n";
			$rtn = "fperr";
		} else {
			// 読み書きのタイムアウト設定
			$txt = "";
			socket_set_timeout($fp, 10);
			fputs ($fp, "GET ".$path.'?'.$query." HTTP/1.0\r\nHost: ".$host."\r\n\r\n");

			$sw = false;
			while (!feof($fp)) {
				$line = fgets($fp,2048);

				//ヘッダを取り除く
				if ($line == "\r\n") {
					$sw = true;
				}
				if ($sw == true) {
					$txt .= $line;
				}

			}
			$rtn = $txt;
			// ソケットがタイムアウトしたかどうか調べる
			$stat = socket_get_status($fp);
			if ($stat["timed_out"]) { $rtn = ""; }
			// ソケットを閉じる
			fclose ($fp);
		}

		$rtn = trim($rtn);

		return($rtn);
	}

}



